---
title: Date.prototype.valueOf()
slug: Web/JavaScript/Reference/Global_Objects/Date/valueOf
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>valueOf()</code></strong> method returns the primitive value of a {{jsxref("Date")}} object.</p>

<div>{{EmbedInteractiveExample("pages/js/date-valueof.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.valueOf()</pre>

<h3 id="Return_value">Return value</h3>

<p>The number of milliseconds between 1 January 1970 00:00:00 UTC and the given date.</p>

<h2 id="Description">Description</h2>

<p>The <code>valueOf()</code> method returns the primitive value of a {{jsxref("Date")}} object as a number data type, the number of milliseconds since midnight 01 January, 1970 UTC.</p>

<p>This method is functionally equivalent to the {{jsxref("Date.prototype.getTime()")}} method.</p>

<p>This method is usually called internally by JavaScript and not explicitly in code.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_valueOf">Using valueOf()</h3>

<pre class="brush: js notranslate">var x = new Date(56, 6, 17);
var myVar = x.valueOf();      // assigns -424713600000 to myVar
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.valueof', 'Date.prototype.valueOf')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("javascript.builtins.Date.valueOf")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Object.prototype.valueOf()")}}</li>
 <li>{{jsxref("Date.prototype.getTime()")}}</li>
</ul>
